import Service from '@ember/service';
declare class FastBoot {
    isFastBoot: boolean;
    request: Request;
}
interface Language {
    language: string;
    baseLanguage: string;
    score: number;
}
export default class BestLanguage extends Service {
    readonly fastboot: FastBoot | null;
    bestLanguage(languages: string[]): Language | null;
    bestLanguageOrFirst(languages: string[]): Language;
    private fetchHeaderLanguages;
    private fetchBrowserLanguages;
    private parseHeader;
    private parseHeaderItem;
    private getBaseLanguage;
    private intersectLanguages;
    private sortLanguagesByScore;
    private computeScore;
    private mapToLanguage;
}
declare module '@ember/service' {
    interface Registry {
        'best-language': BestLanguage;
    }
}
export {};
